Name:          html2text
Epoch:         1
Version:       2.2.3
Release:       1mamba
Summary:       HTML to text rendering aimed for E-mail
Group:         Graphical Desktop/Applications/Office
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/grobian/html2text
Source:        https://github.com/grobian/html2text.git/v%{version}/html2text-%{version}.tar.bz2
#Source:        https://pypi.debian.net/html2text/html2text-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
HTML to text rendering aimed for E-mail.

%debug_package

%prep
%setup -q
autoreconf -f -i

%build
./configure \
   --prefix=%{_prefix} \
   --bindir=%{_bindir} \
   --datarootdir=%{_datadir} \
   --docdir=%{_docdir}/html2text \
   --mandir=%{_mandir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d -m0755 %{buildroot}%{_mandir}/{man1,man5}
%makeinstall PREFIX=%{_prefix} MANDIR=%{_mandir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/html2text
%{_mandir}/man1/html2text.1*
%{_mandir}/man5/html2textrc.5*
#%dir %{_docdir}/html2text
#%{_docdir}/html2text/*
%doc COPYING

%changelog
* Sat Aug 26 2023 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Fri Jun 24 2022 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sun Feb 20 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Tue Mar 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.1.16-1mamba
- update to 2020.1.16
- switch to python html2text package

* Wed Jul 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2a-3mamba
- added utf8 patch

* Fri Oct 03 2008 Tiziana Ferro <tiziana.ferro@email.it> 1.3.2a-2mamba
- update vendor, distribuition, mantainer, URL
- update buildrequirements list

* Wed Dec 28 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.3.2a-1qilnx
- package created by autospec
